Subject: RE: Repost, different list...File::Spec, cygwin, Syntactic vs. Semantic path analysis
From: "LA Walsh" <[email-masked]>
To: "'Robert Collins'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 9 Jan 2003 00:08:21 -0800

> From: Robert Collins [mailto:[email-masked]] 
> > 	There you go again, making relative assertions about "good/bad" 
> > again.  It's common practice to define a $(ROOT)/foobar 
> underwhich to 
> > build or install a program.  It is common to have ROOT=/ 
> when you want 
> > to install it on a live machine.  It is *expected* that 
> double slashes 
> > "//" will be treated as "/".  Thinking "//" is special only 
> shows the 
> > corrupting influence Win32 has had on your thinking.  If 
> you grew up 
> > on unix, you'd know that "//" = "/".
> 
> Whoa. POSIX uses // as a imeplementation specific prefix for 
> network paths. The posix 'dirname' algorithm EXPLICITLY 
> leaves the use of // as implementation specific. Go check it 
> up you want proof.
===
	Ok, did I mention POSIX?  Posix != Unix.  So what's your point?
	I've been on multiple unices [bogus latinization, but unix's doesn't roll of the tongue nearly so well]: sun, hp, sgi, linux, xenix, sco, 
others I don't remember.  I don't recall "//" being anything other than
"/" on any of them, though my memory is most accurate for linux/SGI and
I'm fairly sure about sun.  But any OS is subject to change over the years.
So who knows what is true now.  But just because it is Posix doesn't
mean its true for Unix.

> Growing up on unix does NOT mean // == /. If you assume that 
> *anywhere* you will limit your programs portability 
> (specifically, you are IMMEDIATELY non-posix).
---
	That may very well be correct -- can you name some large user-base
unix's that I might encounter where "//" != "/"?  I'm not saying they
don't exist, I just would like to know which of the larger vendors have
a unix that functions that way.  If none of them do, then my statement
of 'growing up on unix' would still have most people with an experience
of "//" reducing to "/".  But POSIXly speaking, I cannot and do not
refute what you claim.

> > Dogma is an anesthetization of "critical thinking".
> 
> Just curious, if that is the case, why do you make vehement 
> assertions of your own?
---
	For the same reason I do yoga?  
	Thinking of the founding fathers of the US, can one believe they did not engage in critical thinking or that they were not vehement in their assertions against unjust leadership?  
	And the meaning of your statement?  Could you be more clear?  I
don't understand.

Thanks,
Linda

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/